SynqDocs
Management API.well known

Discover the management API resource

Public metadata for proactive discovery from the known management resource identifier (the API origin). Existing client eligibility, token audiences, org permissions and API key rules still apply. Management has no OAuth scopes to advertise. This document is separate from MCP metadata and is named by management authentication challenges.

GET/.well-known/oauth-protected-resource

Public metadata for proactive discovery from the known management resource identifier (the API origin). Existing client eligibility, token audiences, org permissions and API key rules still apply. Management has no OAuth scopes to advertise. This document is separate from MCP metadata and is named by management authentication challenges.

Response Body

application/json

curl -X GET "https://api.synq.build/.well-known/oauth-protected-resource" \  -H "Authorization: Bearer $SYNQ_API_KEY"
{  "resource": "https://example.com",  "authorization_servers": [    "https://example.com"  ],  "bearer_methods_supported": [    "header"  ],  "resource_name": "Synq Management API"}